{ stdenv
, fetchPypi
, buildPythonPackage
, pyparsing
}:

buildPythonPackage rec {
  pname = "PuLP";
  version = "2.3";

  src = fetchPypi {
    inherit pname version;
    sha256 = "9d8ecf532868cc31fa9ff59ee5d5b2049600c5c902c18c794a2bad677c1f92e5";
  };

  propagatedBuildInputs = [ pyparsing ];

  # only one test that requires an extra
  doCheck = false;
  pythonImportsCheck = [ "pulp" ];

  meta = with stdenv.lib; {
    homepage = "https://github.com/coin-or/pulp";
    description = "PuLP is an LP modeler written in python";
    maintainers = with maintainers; [ teto ];
    license = licenses.mit;
  };
}
